Problema Instalación PFsense 2.4.1 HP Proliant ML30 Gen9



  • Estimados: Tengan buen día.
    He estado intentando instalar PFsense 2.4.1 en un Servidor HP Proliant ML30 Gen9 y no he podido lograrlo.
    Adjunto imagen con la pantalla final (última imagen) luego de realizar la instalación, sin embargo no arranca (estoy usando el modo Legacy).

    Además, agrego imágenes de la BIOS donde se ve que está desactivada la Dynamic Smart Array RAID Support y activado SATA AHCI Support.
    También se ve que está en Modo Heredado.

    De antemano gracias por su ayuda.

    Saludos









  • No se ve para nada la imagen, es demasiado pequeña para apreciarla.

    ¿Qué le desactivaste al servidor en el SETUP del BIOS?
    ¿Cuántos discos duros tiene?
    ¿Cuál tarjeta de arreglo tiene? Te consulto eso porque según las especificaciones puede ser Dynamic Smart Array B140i o Smart Array P440.

    Lo de la tarjeta de arreglo, es importante porque según cual tengas, debes ver qué sistemas operativos son compatibles y en caso que no lo cumpla, debes degradar desde el SETUP del BIOS el servidor para que funcione.



  • Hola

    Te salia mas economico y seguro usar los productos de netgate

    En ese servidor pierdes la controladora raid, ademas que tienes que cambiar la boot a modo bios y no usar uefi, o si no la instalacion va ser las larga pr que tienes q identificar acada uno de los dispositivos para el inicio y contando que no agreges mas tarjetas de red.

    No tienes otro equipo que no sea ese servidor?



  • No, lamentablemente es lo único que tengo. Fue comprado especialmente para utilizarlo con PFsense, aunque ya suponía que podía tener problemas en la instalación, sin embargo tenía que comprar algo pronto y no contaba con muchas opciones.
    ¿Existe alguna posibilidad de que se pueda efectuar la instalación?

    Gracias por sus respuestas

    Saludos



  • Hola

    Si lo  puedes hacer, te recomendaria que instales a version 2.4 que tiene soporte a uefi, seria que comprobar si esa controladora raid es compatible



  • Sí, instalé la 2.4.1 con UEFI y con Legacy pero al terminar me aparece el error de la última imagen que posteé. Antes lo había instalado en una máquina virtual, pero no recuerdo que me pidiera marcar opciones durante el proceso. Por ejemplo, me pide el tipo de partición (MBR, GPT,etc). Si quiero utilizar todo el disco o una partición, etc.

    Saludos y Gracias



  • Interesante el lió; revise en los ambientes de sistema operativo que soporta ese servidor de hp y no vi freeBSD eso lo vez en:

    https://support.hpe.com/hpesc/public/home/driverHome?sp4ts.oid=1008862660&lang=en&cc=us

    Eso ya es un problema, de hecho lo primero a hacer es llevar el server a la ultima version de Intelligent Provisioning for Gen9 Servers tratar de hacer la instalación de nuevo, si esto no da una alternativa es colocar un sistema de virtualización soportado por HP (MS Hyper-v ó Vmware Exsi) y dentro de el realizar la instalación de PFsense a la postre eso le traerá unos beneficios de administración y gestión bien interesantes.



  • Un maquinon.  Realmente lo necesitas para pfsense?

    Usa xen, vmware o proxmox, etc,  virtualiza.

    Y a pfsense le dedicas la interfaz wan  y listo.

    Tu pfsense a pesar de ser virtualizado, sera igual quien controle el acceso wan.  y al servidor real lo dejas solo con IP lan al igual que sus virtuales y los equpos externos….. es mi recomendación.



  • Aunque no respondiste nada de lo que te consulté, voy a tratar de seguir ayudándote y si no veo interés, pues me abstendré de seguir.

    Lo de poner a Enable SATA AHCI Support, ok

    Repito…
    ¿Es un solo disco duro o varios?
    ¿Cómo realizaste el proceso de instalación? ¿USB, usando un CD o con la imagen? por USB o por imagen ISO, te puede dar problemas, lo mejor es por un CD.

    Desactiva el UEFI: http://lifeofageekadmin.com/how-to-change-bios-from-uefi-to-legacy-on-hp-gen9-servers/

    Realiza nuevamente la instalación.

    Consejo, descarga la guía de usuario del servidor. Yo no lo tengo a mano pero todas esas pruebas las realicé con éxito degradando al servidor.

    Dejando el servidor con las opciones del BIOS por defecto, perfectamente podes hacer la instalación con vmware como te lo están recomendando.



  • Por ahora la unica instalacion que a mi me dio "cacao" fue sobre un:

    Lenovo X3650 M5, 16GB RAM,  Intel Xeon 10C E5-2650

    El problema fue la controladora: MegaRAID,  Lenovo m5 x3650. ( LSI MegaRAID)

    Pude solventar,  aqui toda la historia:

    https://forum.pfsense.org/index.php?topic=101917.msg568430#msg568430

    Quizás te puede ayudar en algunos puntos.



  • Estimados. Muchas Gracias por sus respuestas. Discúlpenme, pero hace tiempo no volvía a revisar el foro.

    • El servidor sólo tiene un Disco Duro, y la tarjeta de arreglo de disco es la Dynamic Smart Array B140i
    • El Proceso de instalación lo hice con un CD.
    • Descargué la última versión del Intelligent Provisioning for Gen9 Servers la grabé en DVD, pero al instalar me aparece un error de que no se puede flashear la NVRAM.
    • Respecto a virtualización, yo he utilizado VirtualBox, instalado en Windows. Respecto a las opciones de virtualización que me comentan: MS Hyper-v ó Vmware Exsi, xen,  proxmox, para utilizarlas siempre debo tener un sistema operativo instalado (Linux o Windows) o hay alguna que sea un Sistema Operativo que sea especialmente diseñado para virtualización. Si me pudieran dar algunas directrices generales sobre ellos, y respecto a la memoria disponible, ya que cuento con 4 GB de RAM, y si tengo por ejemplo Windows instalado y en el corro alguna máquina virtual, se supone que una parte de la RAM debería ser para el Sistema Operativo principal y el resto para el virtualizado. ¿No tendría problemas de rendimiento debido a esto?.

    Gracias

    Saludos


Log in to reply